Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.sizes
Class LineLengthCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.sizes.LineLengthCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class LineLengthCheck
extends Check

Checks for long lines.

Rationale: Long lines are hard to read in printouts or if developers have limited screen space for the source code, e.g. if the IDE displays additional information like project tree, class hierarchy, etc.

Note: Support for the special handling of imports in CheckStyle Version 2 has been dropped as it is a special case of regexp: The user can set the ignorePattern to "^import" and achieve the same effect.

The default maximum allowable line length is 80 characters. To change the maximum, set property max.

To ignore lines in the check, set property ignorePattern to a regular expression for the lines to ignore.

An example of how to configure the check is:

     <module name="LineLength"/>

An example of how to configure the check to accept lines up to 120 characters long is:

     <module name="LineLength">
        <property name="max" value="120"/>
     </module>

An example of how to configure the check to ignore lines that begin with " * ", followed by just one word, such as within a Javadoc comment, is:

     <module name="LineLength">
        <property name="ignorePattern" value="^ *\* *[^ ]+$"/>
     </module>

Author:
  Lars Kühne

Constructor Summary
`LineLengthCheck()` Creates a new `LineLengthCheck` instance.

Method Summary
`void` | `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setIgnorePattern(java.lang.String aFormat)` Set the ignore pattern.
`void` | `setMax(int aLength)`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineLengthCheck

    public LineLengthCheck()

  Creates a new `LineLengthCheck` instance.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### beginTree

    public void beginTree(DetailAST aRootAST)

  Description copied from class: `Check`
  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree
  See Also:
    `Check`

### setMax

    public void setMax(int aLength)

  Parameters:
    `aLength` - the maximum length of a line

### setIgnorePattern

    public void setIgnorePattern(java.lang.String aFormat)
                          throws org.apache.commons.beanutils.ConversionException

  Set the ignore pattern.

  Parameters:
    `aFormat` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aFormat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD